<div class="ibox-form-container mb-0"   >
  <div class="ibox-title">
    <div class="ibox-title-child" style="display: inline-block">{{'FIELD.CARNET_ORDRE.PASSER_ORDRE'|translate}}</div>
  </div>
  <form class="ibox-filter p-4 mt-2" [formGroup]="formGroup" (ngSubmit)="onSubmit()" autocomplete="off">


          <div *ngIf="!clientList" class="row " >
              <input type="text" readonly class="form-control form-control-sm" name="client" [value]="client">
          </div>

          <div *ngIf="clientList" class="row " >
              <select required class="form-select form-select-sm text-muted" name="client" formControlName="client"  (ngModelChange)="onSelectClient($event)"  >
                <option disabled selected value="" >{{'FIELD.CARNET_ORDRE.LIST_CLIENT'|translate}} </option>
                <option   *ngFor="let client of clientList" [value]="client.code">
                  <span> {{client.code}} : &nbsp; </span>
                  <span> {{client.value}}  </span>
                </option>
              </select>
            </div>
            <div *ngIf="formGroup.get('client').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('client').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

          <div class="row mt-3" >
              <select class="form-select form-select-sm text-muted" name="compteEspece" formControlName="compteEspece"  (ngModelChange)="onSelectCompteEspece($event)"  >
                <option disabled selected value="" >{{'FIELD.CARNET_ORDRE.LIST_COMPTE_ESPECE'|translate}} </option>
                <option   *ngFor="let compte of compteEspeceList" [value]="compte.code">
                  <span class="compteCode pl-5"> {{compte.code}} : &nbsp;   </span>
                  <span class="compteValue pl-5"> {{compte.value }}</span>
                </option>
              </select>
            </div>
            <div *ngIf="formGroup.get('compteEspece').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('compteEspece').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

          <div class="row mt-3" >
              <select class="form-select form-select-sm text-muted" name="fond" formControlName="fond"   >
                <option disabled selected value="" >{{'FIELD.CARNET_ORDRE.LIST_FOND'|translate}} </option>
                <option   *ngFor="let fond of fondList" [value]="fond.code">
                  <span class="compteCode pl-5"> {{fond.code}} : &nbsp;   </span>
                  <span class="compteValue pl-5"> {{fond.value }}</span>
                </option>
              </select>
            </div>
            <div *ngIf="formGroup.get('fond').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('fond').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>

          <div class=" row mt-3 align-items-start">
            <label class="col-sm-3 col-form-label"> {{'FIELD.CARNET_ORDRE.OPTION'|translate}} </label>
            <div class="col-sm-3" *ngFor="let option of optionList">
              <div class="custom-control custom-radio custom-control-inline mt-1">
                <input class="custom-control-input" formControlName="option" type="radio" [value]='option.value'
                       [id]="option.code" name="option"
                       [checked]="option.code==='B'"
                       (ngModelChange)="onOptionRadioChange($event)"
                       [required]="true">
                <label class="custom-control-label" for="{{option.code}}"> {{option.value}} </label>
              </div>
            </div>
          </div>

          <div class=" row  mt-3">
            <label for="quantite" class="col-sm-3 col-form-label"> {{'FIELD.CARNET_ORDRE.QUANTITE'|translate}} </label>
            <div class="col-sm-9">
              <input formControlName="quantite"  type="number" [required]="checkedOption==='Quantite'"  [value]="quantiteCalcule()" [readOnly]="checkedOption==='Budget' || checkedOption===''" class="form-control" id="quantite"
                     placeholder="{{'FIELD.CARNET_ORDRE.QUANTITE'|translate}}">
            </div>
            <div *ngIf="formGroup.get('quantite').invalid && showValidationsMsg && checkedOption==='Quantite'">
              <div *ngIf="formGroup.get('quantite').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class=" row  mt-3">
            <label  class="col-sm-3 col-form-label" for="budget"> {{'FIELD.CARNET_ORDRE.BUDGET'|translate}} </label>
            <div class="col-sm-9">
              <input formControlName="budget"  type="number" [required]="checkedOption==='Budget'" [value]="budgetCalcule()" [readOnly]="checkedOption==='Quantite' || checkedOption===''" class="form-control" id="budget"
                     placeholder="{{'FIELD.CARNET_ORDRE.BUDGET'|translate}}">
            </div>
            <div *ngIf="formGroup.get('budget').invalid && showValidationsMsg && checkedOption==='Budget'">
              <div *ngIf="formGroup.get('budget').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class=" row mt-3">
            <label for="vl_estime" class="col-sm-3 mt-1 col-form-label"> {{'FIELD.CARNET_ORDRE.VL_ESTIME'|translate}} </label>
            <div class="col-sm-9 ">
              <input  type="text" readonly class="form-control-plaintext" id="vl_estime" [value]="vl_estime|number: '1.2-2' ">
            </div>
          </div>

          <div class="row mt-3">
            <label for="stock" class="col-sm-3 mt-1 col-form-label"> {{'FIELD.CARNET_ORDRE.STOCK'|translate}} </label>
            <div class="col-sm-9">
              <input  type="text" readonly class="form-control-plaintext" id="stock" [value]="stock|number: '1.2-2' ">
            </div>
          </div>

          <div class=" row mt-3 align-items-start">
            <label class="col-sm-3 col-form-label"> {{'FIELD.CARNET_ORDRE.SENS'|translate}} </label>
            <div class="col-sm-3" *ngFor="let sens of sensList">
              <div class="custom-control custom-radio custom-control-inline mt-1">
                <input class="custom-control-input" formControlName="sens" type="radio" [value]='sens.code'
                       (ngModelChange)="onSensRadioChange($event)"
                       [id]="sens.code" name="sens"
                       [checked]="sens.code==='S'" >
                <label class="custom-control-label" for="{{sens.code}}"> {{sens.value}} </label>
              </div>
            </div>
          </div>

         <div class="row  mt-3" style="align-content: center">
           <div class="submitResetButton">
              <button type="submit" [ngClass]="checkedSens=== 'S' ? 'btn btn-success' : 'btn btn-danger'" >
                {{checkedSens === 'S' ? 'Souscription' : 'Rachat' }}
                </button>
              <button type="button" (click)="initFormGroup()" class="btn reset-button ml-3"> {{'FIELD.CARNET_ORDRE.REINITIALISER'|translate}} </button>
            </div>
          </div>

        </form>

</div>

